package com.steerinfo.ems.tprocessinfor.model;

import com.steerinfo.ems.Utils.TreePO;
import com.steerinfo.ems.trmworkproc.model.TRmWorkproc;
import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel(value="null")
public class TProcessinfor implements IBasePO<String> , TreePO<String, String, TProcessinfor> {
    /**
     * 工序代码(ID,VARCHAR,255)
     */
    @ApiModelProperty(value="工序代码",required=true)
    private String id;

    /**
     * 名称(NAME,VARCHAR,255)
     */
    @ApiModelProperty(value="名称",required=false)
    private String name;

    /**
     * 状态(STATUS,VARCHAR,255)
     */
    @ApiModelProperty(value="状态",required=false)
    private String status;

    /**
     * 上层节点(PARENTID,VARCHAR,40)
     */
    @ApiModelProperty(value="上层节点",required=false)
    private String parentid;

    /**
     * 级别(NODE,VARCHAR,255)
     */
    @ApiModelProperty(value="级别",required=false)
    private String node;

    /**
     * 顺序(SEQNO,DECIMAL,10)
     */
    @ApiModelProperty(value="顺序",required=false)
    private Long seqno;

    private static final long serialVersionUID = 1L;

    private List<TProcessinfor> Children;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getParentid() {
        return parentid;
    }

    public void setParentid(String parentid) {
        this.parentid = parentid == null ? null : parentid.trim();
    }

    public String getNode() {
        return node;
    }

    public void setNode(String node) {
        this.node = node == null ? null : node.trim();
    }

    public Long getSeqno() {
        return seqno;
    }

    public void setSeqno(Long seqno) {
        this.seqno = seqno;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", status=").append(status);
        sb.append(", parentid=").append(parentid);
        sb.append(", node=").append(node);
        sb.append(", seqno=").append(seqno);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public String getCode() {
        return id;
    }

    @Override
    public void setCode(String s) {
        this.id = id == null ? null : id.trim();
    }

    @Override
    public String getParentId() {
        return parentid;
    }

    @Override
    public void setParentId(String s) {
        this.parentid = parentid == null ? null : parentid.trim();
    }

    @Override
    public List<TProcessinfor> getChildren() {
        return Children;
    }

    @Override
    public void setChildren(List<TProcessinfor> children) {
        this.Children = children;
    }
}